/*
Theme Name: uBella - Child theme
Theme URI: http://webdesign-finder.com/ubella/
Author: MWTemplates
Author URI: http://modernwebtemplates.com
Description: uBella – Modelling Agency WordPress Theme
Version: 1.4.1
Template: ubella
Tags: custom-header, left-sidebar, right-sidebar, post-formats, full-width-template
*/

.listing-container {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.listing-card {
    position: relative;
  display: flex;
  gap: 50px;
  background: #f4f4f4;
  padding: 20px;
  border-radius: 15px;
  align-items: center;
  width: 85%;
  margin: 0 auto;
}

.listing-image img {
  width: 280px;
  height: 220px;
  object-fit: cover;
  border-radius: 10px;
}

.listing-content {
  flex: 1;
}

.listing-title {
  font-size: 22px;
  font-weight: bold;
  color: #000;
}

.listing-tags span {
  background: #eee;
  padding: 5px 12px;
  border-radius: 20px;
  margin-right: 8px;
  font-size: 13px;
  color: #000000cf;
}

.listing-description {
  margin-top: 10px;
  margin-bottom: 15px;
  color: #000;
}

.listing-buttons a {
  padding: 10px 20px;
  border-radius: 20px;
  color: white;
  text-decoration: none;
  margin-right: 10px;
}

.call-btn {
  background: linear-gradient(45deg,#7b61ff,#ff4ecd);
}

.whatsapp-btn {
  background: linear-gradient(45deg,#ff6a00,#ffb347);
}

/* Badge container */
.new-badge {
  position: absolute;
  top: 10px;
  right: 15px;
  font-weight: bold;
  color: #ff5a1f;
  font-size: 18px;
  z-index: 2;
}

/* Text styling */
.new-badge span {
  position: relative;
}

/* Animated rays */
.new-badge span::before,
.new-badge span::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 120%;
  height: 120%;
  transform: translate(-50%, -50%);
  border-radius: 50%;
}

/* Rays animation */
.new-badge span::before {
  background:
    radial-gradient(circle, #ff5a1f 2px, transparent 3px) 0 0/20px 20px;
  animation: rotateRays 6s linear infinite;
  opacity: 0.5;
}

/* Second layer */
.new-badge span::after {
  background:
    radial-gradient(circle, #ff5a1f 2px, transparent 3px) 10px 10px/20px 20px;
  animation: rotateRaysReverse 8s linear infinite;
  opacity: 0.3;
}

@keyframes rotateRays {
  from { transform: translate(-50%, -50%) rotate(0deg); }
  to   { transform: translate(-50%, -50%) rotate(360deg); }
}

@keyframes rotateRaysReverse {
  from { transform: translate(-50%, -50%) rotate(360deg); }
  to   { transform: translate(-50%, -50%) rotate(0deg); }
}


@media only screen and (max-width: 768px) {
    .listing-card {
        width: 100% !important;
        display: flow-root !important;
    }
    .new-badge {
      display: none;
    }
    .listing-content {
      width: 100%;
      flex: unset;
      margin-top: 15px;
    }
    .listing-image img {
      width: 100%;
    }
}